/********************************************************************/
/* Licensed Materials - Property of IBM                             */
/* IBM MASS Library Component V7.1 for Linux                        */
/* 5765-J03, 5725-C73                                               */
/* 5765-J05, 5725-C75                                               */
/* Copyright IBM Corp. 2007, 2009.                                  */
/* US Government Users Restricted Rights - Use, duplication or      */
/* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.*/
/********************************************************************/

/* SCCS ID STRING    93  1.2.2.13 2/23/12 16:09:29        10/22/12 03:27:46 */

/*-----------------------------------------------------------------*/
/* C/C++ declarations for the scalar MASS functions not in math.h  */
/*-----------------------------------------------------------------*/

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __THROW
# define __THROW_M __THROW
#else
# define __THROW_M
#endif

#ifdef __cplusplus
#else
#include <complex.h>
#endif

double _Complex cosisin(double) __THROW_M;
double dnint (double) __THROW_M;
float anint (float) __THROW_M;
double rsqrt (double) __THROW_M;
void sincos (double, double *, double *) __THROW_M;

#undef __THROW_M
#ifdef __cplusplus
}
#endif

